
DATADIR="/opt/tiger/sumtest/UN_v1/first_5000"

declare -A LANG_TAGS
LANG_TAGS=([en]="en_XX" [zh]="zh_CN" [fr]="fr_XX")

cd /opt/tiger/sumtest/crossLingualTransfer
skip_preprocess="false"

for lang in en zh fr
do
    lg_tag=${LANG_TAGS[$lang]}
    # for split in train dev
    for split in dev
    do  
        time=$(date "+%Y%m%d %H:%M:%S")
        echo "Time: $time"
        echo "Command: bash dump_text_emb_mbart_bn.sh mspm4_xgiga ${lg_tag} $DATADIR/$split/UNv1.0.6way.${lang}.first_5000.txt bn_ln_${split}_${lang} ${skip_preprocess} --batch-size 8"
        bash dump_text_emb_mbart_bn.sh mspm4_xgiga ${lg_tag} $DATADIR/$split/UNv1.0.6way.${lang}.first_5000.txt bn_ln_${split}_${lang} ${skip_preprocess} --batch-size 8
        skip_preprocess="true"
    done
done
